﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace DeleteLogs
{
    static class Program
    {
        /// <summary>
        /// 应用程序的主入口点。
        /// </summary>
        [STAThread]
        static void Main(string []command )
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            FormMain f = new FormMain();
            if (command != null && command.Length > 0)
            {
                string commandA = command[0];
                if (commandA == "auto")
                {
                    string rootDir = @"d:\wwwlog\";
                    string fileTypes = "*.log";
                    int days = 14;
                    if (command.Length > 1)
                    {
                        rootDir = command[1];
                        if (string.IsNullOrEmpty(rootDir))
                        {
                            rootDir = @"d:\wwwlog\";
                        }

                        if (command.Length > 2)
                        {
                            fileTypes = command[2];
                            if (string.IsNullOrEmpty(fileTypes))
                            {
                                fileTypes = "*.log";
                            }

                            if (command.Length > 3)
                            {
                                string strDays = command[3];
                                if (string.IsNullOrEmpty(strDays) || !int.TryParse(strDays, out days))
                                {
                                    days = 14;
                                }
                            }
                        }
                    }
                    f.SetParameters(rootDir,days,fileTypes,true);
                }
            }


            Application.Run(f);
        }
    }
}